4

AMD just released Catalyst 15.7 Driver. Could it be installed and run on Ubuntu 15.04? Are there any known fails and restrictions?

Officially 15.7 supports only Ubuntu 14.04.2.

3

Now fglrx driver 15.7 also known as 15.20 is in Ubuntu repositories for trusty, vivid and wily releases.

It can be installed by running

sudo apt-get install fglrx-updates

and it was there some time before AMD officially released Catalyst 15.7.

1

Sure, you can install it on ubuntu 15.04 I have intalling it and it works. make sure when building .deb package use:

chmod it (run as programs)

then use --buildpkg Ubuntu/vivid

wiki.cchtml.com still doesn't providing vivid installation instruction yet. (you can use on utopic installation procedure with change above)

5
  • Thanks! Should I expect re-installing the driver every time the linux kernel getting update? – Sergey Sergeyev Jul 14 '15 at 9:31
  • askubuntu.com/a/543836/12164 You might also want to avoid the libopencl dependency problem, so it don't messed up your wine or playonlinux install. – user12164 Jul 15 '15 at 4:12
  • I have fight this issue - Libopencl dependency - since it was introduced in Catalyst in late 2014. I gave up due to solution was unclear and a bit misleading. – Sergey Sergeyev Jul 15 '15 at 8:33
  • @SergeySergeyev I haven't tried it but I think it will automatically update itself (like catalyst before) – Romy Prazhad Jul 15 '15 at 12:06
  • I have a question, when you install AMD driver from repositories there is still the same trouble with wine? I mean this one. I only installed drivers from website and edited its content in order to avoid that conflict. – zx_k9 Sep 18 '15 at 23:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.